﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Objects;
using System.Data.Entity.Infrastructure;

namespace codefirstef
{
    class Program
    {
        public static void Main(string[] args)
        {
            int id = 0;
            using (var context = new TestContext())
            {
                var milestone = new Milestone()
                {
                    Title = "测试里程碑",
                    StartDate = DateTime.Now,
                    DueDate = DateTime.Now + TimeSpan.FromDays(30)
                };

                context.Milestones.Add(milestone);
                context.SaveChanges();

                id = milestone.Id;
            }

            using ( var context = new TestContext())
            {
                var project = new Project()
                {
                    Title = "测试项目",
                    StartDate = DateTime.Now,
                    DueDate = DateTime.Now + TimeSpan.FromDays(30),
                    Owner = "测试用户"
                };
                var child = new Milestone() {
                    Id = id
                };

                project.Children.Add(child);
                //var adapter = context as IObjectContextAdapter;
                //adapter.ObjectContext.AttachTo("Milestones", child);
                                
                context.Project.Add(project);
                context.SaveChanges();
            }
        }
    }
}
